Package com.isomorphic.webdriver

# Class SmartClientEdgeDriver

java.lang.Object
com.isomorphic.webdriver.SmartClientWebDriver
com.isomorphic.webdriver.SmartClientEdgeDriver

All Implemented Interfaces:
  `org.openqa.selenium.interactions.HasInputDevices`, `org.openqa.selenium.interactions.Interactive`, `org.openqa.selenium.JavascriptExecutor`, `org.openqa.selenium.SearchContext`, `org.openqa.selenium.TakesScreenshot`, `org.openqa.selenium.WebDriver`

public class SmartClientEdgeDriver extends SmartClientWebDriver
Implementation of SmartClient specific WebDriver using IE.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SmartClientEdgeDriver()`
  Default constructor.
  `SmartClientEdgeDriver(org.openqa.selenium.edge.EdgeDriverService service)`
  Creates a new SmartClientEdgeDriver instance.
  `SmartClientEdgeDriver(org.openqa.selenium.edge.EdgeDriverService service, org.openqa.selenium.edge.EdgeOptions options)`
  Constructor taking a set of configuration options.
  `SmartClientEdgeDriver(org.openqa.selenium.edge.EdgeOptions options)`
  Constructor taking a set of configuration options.

- ## Method Summary

  ### Methods inherited from class com.isomorphic.webdriver.SmartClientWebDriver

  `assertEval, assertEval, assertEval, assertEval, assertEval, blur, clearCanvasProperty, clearTolerances, click, clickAndHold, clickAndHoldAt, contextClick, controlKeyDown, controlKeyUp, doubleClick, dragAndDrop, dragAndDrop, dragAndDropBy, focus, focus, focus, get, get, getElementHeight, getElementPositionLeft, getElementPositionTop, getElementWidth, getEval, getEval, getTable, getText, getValue, getValueAsString, getValueAsString, keyDown, keyDown, keyPress, keyPress, keyUp, keyUp, mouseMove, mouseMoveAt, pause, release, releaseAt, scrollIntoViewIfNeeded, scrollIntoViewIfNeeded, secondClick, selectWindowByName, selectWindowByTitle, sendData, sendKeys, setAllowCoordClickOnOccludingElement, setAllowJavaScriptToStringMatch, setBaseUrl, setCanvasHeightTolerance, setCanvasProperty, setCanvasPropertyFalse, setCanvasPropertyTrue, setCanvasWidthTolerance, setClientLogLevel, setClientLogLevel, setDefaultImplicitWait, setDefaultWaitTimeout, setElementTolerance, setMaxDragPause, setOccludedElementApproach, setServerLogLevel, setUseFrameworkValueAsFallback, setValueTolerance, shiftKeyDown, shiftKeyUp, showConsole, type, type, type, verifyCanvasHeight, verifyCanvasWidth, verifyElementClickable, verifyElementHeight, verifyElementHeightWithTolerance, verifyElementPositionLeft, verifyElementPositionTop, verifyElementPresent, verifyElementReadyForKeyPresses, verifyElementSelected, verifyElementVisible, verifyElementWidth, verifyElementWidthWithTolerance, verifyTable, verifyText, verifyText, verifyTextPresent, verifyTextPresent, verifyTitle, verifyValue, verifyValue, verifyValue, verifyValue, verifyValueEmpty, verifyValueWithTolerance, verifyValueWithTolerance, verifyValueWithTolerance, waitForCanvasDone, waitForCanvasDone, waitForCondition, waitForCondition, waitForCondition, waitForElementClickable, waitForElementClickable, waitForElementInViewport, waitForElementInViewport, waitForElementNotClickable, waitForElementNotClickable, waitForElementNotPresent, waitForElementNotPresent, waitForElementNotVisible, waitForElementNotVisible, waitForElementPresent, waitForElementPresent, waitForElementReadyForKeyPresses, waitForElementReadyForKeyPresses, waitForElementVisible, waitForElementVisible, waitForEval, waitForEval, waitForFormDone, waitForFormDone, waitForFrameToLoad, waitForGridDone, waitForGridDone, waitForGridDone, waitForGridDone, waitForHoverTextPresent, waitForHoverTextPresent, waitForItemDone, waitForItemDone, waitForSystemDone, waitForSystemDone, waitForSystemDone, waitForSystemDone, waitForSystemDone, waitForSystemDone, waitForSystemDone, waitForSystemDone, waitForSystemDone, waitForText, waitForText, waitForTileGridDone, waitForTileGridDone, waitForTileLayoutDone, waitForTileLayoutDone, waitForValue, waitForValue`

- ## Constructor Details

  - ### SmartClientEdgeDriver

    public SmartClientEdgeDriver()
    Default constructor.

  - ### SmartClientEdgeDriver

    public SmartClientEdgeDriver(org.openqa.selenium.edge.EdgeOptions options)
    Constructor taking a set of configuration options.
    Parameters:
      `options` - custom options

  - ### SmartClientEdgeDriver

    public SmartClientEdgeDriver(org.openqa.selenium.edge.EdgeDriverService service)
    Creates a new SmartClientEdgeDriver instance. The `service` will be started along with the driver, and shutdown upon calling `SmartClientWebDriver.quit()`.
    Parameters:
      `service` - The service to use.

  - ### SmartClientEdgeDriver

    public SmartClientEdgeDriver(org.openqa.selenium.edge.EdgeDriverService service, org.openqa.selenium.edge.EdgeOptions options)
    Constructor taking a set of configuration options. The `service` will be started along with the driver, and shutdown upon calling `SmartClientWebDriver.quit()`.
    Parameters:
      `service` - The service to use.
      `options` - custom options